Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZXMLRPCClient Class Reference

## Public Member Functions
| __construct ( $server, $path, $port=80)
| setDebug ( $debug)
| debug ()
| setTimeOut ( $timeout)
| timeOut ()
| errorString ()
& | send (&$call, $useSSL=false)
| setLogin ( $value)
| setPassword ( $value)
| login ()
| password ()

## Public Attributes
| $Server
| The name or IP of the server to communicate with. More...
| $Path
| The path to the XML-RPC server. More...
| $Port
| The port of the server to communicate with. More...
| $TimeOut =0
| How long to wait for the call. More...
| $Login
| The username to use for authentification. More...
| $Password
| The password to use for authentification. More...
| $ErrorString
| The error string. More...
| $ErrorNumber
| The error number. More...
| $Debug
| true if debug output should be shown More...

## Detailed Description

! eZXMLRPC eZXMLRPCClient is a class which creates and handles an XML-RPC client.

// include_once( "ezxmlrpc/classes/ezxmlrpcclient.php" );
// include_once( "ezxmlrpc/classes/ezxmlrpccall.php" );
// include_once( "ezxmlrpc/classes/ezxmlrpcstring.php" );
// create a new client
$client = new eZXMLRPCClient( "php.ez.no", "/ezxmlrpc/server.php" );
$call = new eZXMLRPCCall( );
$call->setMethodName( "myFunc" );
// send the request
$response = $client->send( $call );
// print out the results
$result = $response->result();
print( "The server returned: " . $result->value() . "<br>" );
eZXMLRPCCall
Definition: ezxmlrpccall.php:40
eZXMLRPCClient
Definition: ezxmlrpcclient.php:58
$result
$result
Definition: companysearch.php:94
$response
while(!feof($socket)) $response
Definition: paypalnotify.php:196

See also
  eZXMLRPCServer

Definition at line 57 of file ezxmlrpcclient.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLRPCClient::__construct | ( |  | $server,
|  |  | $path,
|  |  | $port = `80`
| ) |  |

Will create a new XML RPC client which will communicate with the server given as argument.

You can specify a port for communication, the default port is 80.

Definition at line 66 of file ezxmlrpcclient.php.

References $server.

## Member Function Documentation

## ◆ debug()

eZXMLRPCClient::debug | ( |  | ) |

Returns the debug value.

Definition at line 89 of file ezxmlrpcclient.php.

References $Debug.

## ◆ errorString()

eZXMLRPCClient::errorString | ( |  | ) |

Returns the error string.

Definition at line 114 of file ezxmlrpcclient.php.

References $ErrorString.

Referenced by send().

## ◆ login()

eZXMLRPCClient::login | ( |  | ) |

Returns the login.

Definition at line 263 of file ezxmlrpcclient.php.

References $Login.

Referenced by send().

## ◆ password()

eZXMLRPCClient::password | ( |  | ) |

Returns the password.

Definition at line 271 of file ezxmlrpcclient.php.

References $Password.

Referenced by send().

## ◆ send()

& eZXMLRPCClient::send | ( | & | $call,
|  |  | $useSSL = `false`
| ) |  |

Will connect to the server and return the response as a eZXMLRPCResponse object.

If an error occured false (0) is returned.

Definition at line 125 of file ezxmlrpcclient.php.

References $fp, $response, $URL, errorString(), login(), Password, password(), and Username.

## ◆ setDebug()

eZXMLRPCClient::setDebug | ( |  | $debug | ) |

Turns on or off debug.

Definition at line 77 of file ezxmlrpcclient.php.

References $debug.

## ◆ setLogin()

eZXMLRPCClient::setLogin | ( |  | $value | ) |

Set the login.

Definition at line 246 of file ezxmlrpcclient.php.

## ◆ setPassword()

eZXMLRPCClient::setPassword | ( |  | $value | ) |

Set the username.

Definition at line 255 of file ezxmlrpcclient.php.

References Password.

## ◆ setTimeOut()

eZXMLRPCClient::setTimeOut | ( |  | $timeout | ) |

Sets the timeout in seconds for the connect call. The default is no timeout.

Definition at line 98 of file ezxmlrpcclient.php.

## ◆ timeOut()

eZXMLRPCClient::timeOut | ( |  | ) |

Returns the timeout value.

Definition at line 106 of file ezxmlrpcclient.php.

References $TimeOut.

## Member Data Documentation

## ◆ $Debug

eZXMLRPCClient::$Debug

true if debug output should be shown

Definition at line 301 of file ezxmlrpcclient.php.

Referenced by debug().

## ◆ $ErrorNumber

eZXMLRPCClient::$ErrorNumber

The error number.

Definition at line 298 of file ezxmlrpcclient.php.

## ◆ $ErrorString

eZXMLRPCClient::$ErrorString

The error string.

Definition at line 295 of file ezxmlrpcclient.php.

Referenced by errorString().

## ◆ $Login

eZXMLRPCClient::$Login

The username to use for authentification.

Definition at line 289 of file ezxmlrpcclient.php.

Referenced by login().

## ◆ $Password

eZXMLRPCClient::$Password

The password to use for authentification.

Definition at line 292 of file ezxmlrpcclient.php.

Referenced by password().

## ◆ $Path

eZXMLRPCClient::$Path

The path to the XML-RPC server.

Definition at line 280 of file ezxmlrpcclient.php.

## ◆ $Port

eZXMLRPCClient::$Port

The port of the server to communicate with.

Definition at line 283 of file ezxmlrpcclient.php.

## ◆ $Server

eZXMLRPCClient::$Server

The name or IP of the server to communicate with.

Definition at line 277 of file ezxmlrpcclient.php.

## ◆ $TimeOut

eZXMLRPCClient::$TimeOut =0

How long to wait for the call.

Definition at line 286 of file ezxmlrpcclient.php.

Referenced by timeOut().

The documentation for this class was generated from the following file:

- ezxmlrpcclient.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.